provider "vault" {
  address = "<address>"
  token   = "<token>"
}

resource "vault_mount" "kv2_mount" {
  path = "kv2_mount"
  type = "kv-v2"
}

resource "vault_kv_secret_v2" "secret" {
  name = "secret/my-secret"
  mount = "kv2_mount"
  data_json = jsonencode(
  {
    "key" = "value",
  },
  )
}
